//+------------------------------------------------------------------+
//|                                              GlobalVariables.mq4 |
//|                        Copyright 2013, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright 2013, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
//extern double    spread;
extern int       i;
extern double    open;// = 8477.3;
extern double    atr_l;
extern double    atr_round;
extern double    level;
extern double    level_round;
extern double    level_up1;
extern double    level_down1;
extern double    level_up2;
extern double    level_down2;
int init()
  {
  //spread = GlobalVariableGet("spread");
  atr_l = iATR(Symbol(), PERIOD_MN1, 3, 1); //15
  Print("atr_l",atr_l);
  open = iOpen(Symbol(), PERIOD_MN1, 0); // 14 open daily price
  atr_round = NormalizeDouble(atr_l,3); // ATR round  
  Print("Atr_round",atr_round);
  level = atr_round * 0.236; // calculate entry price levels   
  Print("level",level);
  level_round = level;//MathRound(level); // round entry price levels 
  level_up1 = open + level_round;
  level_down1 = open - level_round;
  level_up2 = level_up1 + level_round;
  level_down2 = level_down1 - level_round;
 
 
 ObjectCreate("open",OBJ_HLINE,0,0,open);
 ObjectSet("open",OBJPROP_COLOR,SeaGreen);
 ObjectSet("open",OBJPROP_WIDTH,2);
 ObjectCreate("level_up1",OBJ_HLINE,0,0,level_up1);
 ObjectSet("level_up1",OBJPROP_COLOR,Orange);
 ObjectCreate("level_up2",OBJ_HLINE,0,0,level_up2);
 ObjectSet("level_up2",OBJPROP_COLOR,RoyalBlue);
 ObjectCreate("level_up2+level_round",OBJ_HLINE,0,0,level_up2+level_round);
 ObjectSet("level_up2+level_round",OBJPROP_COLOR,RoyalBlue);
 ObjectCreate("level_up5",OBJ_HLINE,0,0,open+level_round*5);                      
 ObjectSet("level_up5",OBJPROP_COLOR,Black);
 ObjectCreate("level_up6",OBJ_HLINE,0,0,open+level_round*6);
 ObjectSet("level_up6",OBJPROP_COLOR,Black);
 
 ObjectCreate("level_down1",OBJ_HLINE,0,0,level_down1);
 ObjectSet("level_down1",OBJPROP_COLOR,Orange);
 ObjectCreate("level_down2",OBJ_HLINE,0,0,level_down2);
 ObjectSet("level_down2",OBJPROP_COLOR,RoyalBlue);
 ObjectCreate("level_down2-level_round",OBJ_HLINE,0,0,level_down2-level_round);
 ObjectSet("level_down2-level_round",OBJPROP_COLOR,RoyalBlue);
 ObjectCreate("level_down5",OBJ_HLINE,0,0,open-level_round*5);                      
 ObjectSet("level_down5",OBJPROP_COLOR,Black);
 ObjectCreate("level_down6",OBJ_HLINE,0,0,open-level_round*6);
 ObjectSet("level_down6",OBJPROP_COLOR,Black);
  }
int start()
  {
//----  
  
   
//----
   return(0);
  }
//+------------------------------------------------------------------+